# HegreHotel

**Projet de gestion hôtelière développé avec MAUI pour les réceptionnistes.**  
Permet la gestion des clients, des chambres, des réservations, et des réceptionnistes via une application mobile Android.

## 🔧 Installation

Cloner le projet :
```bash
git clone <lien_du_projet>
cd HegreHotel
```

Installer les dépendances :
```bash
composer install
composer update
```

## ⚙️ Configuration locale

Créer un fichier `.env.local` à la racine du projet :
```
DATABASE_URL="postgresql://nomutilisateur:motdepasse@adresse:port/nomdelabdd?serverVersion=16&charset=utf8"
```

> ⚠️ Assure-toi que les informations de connexion correspondent à ta configuration locale.

## 🛠️ Migrations

Créer une migration :
```bash
php bin/console make:migration
```

Appliquer la migration :
```bash
php bin/console doctrine:migrations:migrate
```

## ▶️ Lancer le projet

Démarrer le serveur local :
```bash
symfony serve
```
ou
```bash
php bin/console server:start
```

---

## 📱 Fonctionnalités principales

| Fonction               | Description                                                                 |
|------------------------|-----------------------------------------------------------------------------|
| Gestion des utilisateurs | Ajout, modification et suppression des clients et réceptionnistes          |
| Gestion des chambres   | Création, modification, suppression, visualisation, blocage/déblocage       |
| Réservations           | Création/modification avec dates, nombre d'invités, demandes spécifiques     |
| Historique client      | Accès à l'historique complet des séjours, y compris les réservations annulées |
| Affichage              | Vue d’ensemble des chambres disponibles/occupées, filtrage par période       |

---

## 📦 Contraintes techniques

- Application mobile sous Android
- Développée avec .NET MAUI
- Utilisation d'une base de données SQLite

## 🕓 Deadline

- Livraison finale prévue : **9 mai 2025**
